Expression Blend SDK for .NET and Silverlight

J'ai installé Visual Studio 2010 en version anglaise alors j'installe également le Blend SDK en version anglaise :

Microsoft Expression Blend Software Development Kit (SDK) for .NET 4


Il me semble qu'il y a quelques DLL indispensables au fonctionnement de MVVM dans ce SDK
C:\Program Files\Microsoft SDKs\Expression\Blend\.NETFramework\v4.0\Libraries
Microsoft.Expression.Interactions.dll
System.Windows.Interactivity.dll

On va avoir pas mal de souci avec ces deux DLLs et en effet, elles sont parfaitement indispensables.
Et ce que je trouve le plus fou, je vais vous le dire, elles sont différentes pour WPF et pour Silverlight !?

Petite photo avant d'intaller Blend SDK pour SL :

Installation du Microsoft Expression Blend Software Development Kit (SDK) for .NET 4

Microsoft Expression Blend Software Development Kit (SDK) for Silverlight 4


Effectivement après l'installation de Blend pour Silverlight 4 :

Installation Microsoft Expression Blend Software Development Kit (SDK) for Silverlight 4
Permettez moi d'être surpris par, à nouveau ces différences de framework entre .NET 4.0 et Silverlight 4 surtout si elles se font au niveau de Blend :

Microsoft.Expression.Interactions.dll pour .NET 4.0

Microsoft.Expression.Interactions.dll pour Silverlight 4.0
Dans l'Object Browser, on ne verra pas de différences ... Les différences sont ailleurs.

Microsoft Expression Blend Software Development Kit (SDK) for Silverlight 5

Et bien oui, nous sommes en 2013 et il existe une version de Silverlight 5 depuis le 12/5/2011. Et même si l'on dit que bientôt Silverlight va disparaitre ... snif, la version 5 de Silverlight est maintenant la plus utilisée. Alors j'ai donc cherché SDK Blend for Silverlight 5 et je n'ai rien trouvé ? Rassurez-vous le Blend SDK for Silverlight 4 est compatible avec Silverlight 5. Ouf !


Aucun commentaire:

Publier un commentaire

Pour plus d'interactivité, n'hésitez pas à laisser votre commentaire.